Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Oliver Upton <[email-masked]>
Date: Thu, 15 Jun 2023 07:37:23 +0000

On Thu, Jun 15, 2023 at 12:45:58PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvm-arm tree got a conflict in:
> 
>   arch/arm64/kernel/kaslr.c
> 
> between commit:
> 
>   6e13b6b923b3 ("arm64: kaslr: split kaslr/module initialization")
>   e46b7103aef3 ("arm64: module: move module randomization to module.c")
> 
> from the arm64 tree and commit:
> 
>   0ddc312b7c73 ("arm64: Turn kaslr_feature_override into a generic SW feature override")
> 
> from the kvm-arm tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This is
> now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your
> tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Diff LGTM, thanks Stephen.

Catalin, I'd like to resolve this in the kvmarm tree and merge
for-next/module-alloc. You alright with that?

-- 
Thanks,
Oliver